<h1 mat-dialog-title>Create</h1>
<div>
  <button class="back-btn-bl" mat-mini-fab color="primary" aria-label="Add" (click)="back()">
    <mat-icon>arrow_back</mat-icon>
  </button>
  <form [formGroup]="createForm" >
    <div class="card-bl">
      <p>
        <mat-form-field>
          <mat-label>First Country</mat-label>
          <mat-select formControlName="firstCountryId" style="width: 150px">
            <mat-option *ngFor="let country of countries" [value]="country.id">
              {{country.alpha2}} - {{country.name.en}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Second Country</mat-label>
          <mat-select formControlName="secondCountryId" style="width: 150px">
            <mat-option *ngFor="let country of countries" [value]="country.id">
              {{country.alpha2}} - {{country.name.en}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </p>

      <div *ngFor="let transitCountry of transitCountryIds" class="select-bl">
        <mat-form-field>
          <mat-label>Transit Country</mat-label>
          <mat-select [(value)]="transitCountry.id"  style="width: 150px">
            <mat-option *ngFor="let country of countries" [value]="country.id">
              {{country.alpha2}} - {{country.name.en}}
            </mat-option>
          </mat-select>
        </mat-form-field>
        <a href="javascript:void(0)" (click)="removeData(transitCountry.id)">
          <mat-icon aria-hidden="false" aria-label="Example home icon">delete</mat-icon>
        </a>
      </div>
      <button mat-mini-fab color="primary" aria-label="Add" (click)="add()">
        <mat-icon>add</mat-icon>
      </button>

    </div>
    <div class="card-bl">
      <p>
        <mat-form-field>
          <input type="text" matInput placeholder="permit count" formControlName="countPermit">
        </mat-form-field>
      </p>
    </div>
  </form>
  <div class="card-bl">
    <div class="additional-bl"  *ngFor="let additional of additionalPermissions">
      <p>
        <mat-form-field class="additional-row">
          <input type="text" [(ngModel)]="additional.fieldName" matInput placeholder="field" [name]="'additional' + additional.fieldName">
        </mat-form-field>
      </p>
      <p>
        <mat-form-field>
          <mat-label>Role</mat-label>
          <mat-select [(ngModel)]="additional.role" [name]="'role' + additional.role" style="width: 150px">
            <mat-option  [value]="roles.admin">{{'Admin'}}</mat-option>
            <mat-option  [value]="roles.carrier">{{'Carrier'}}</mat-option>
            <mat-option  [value]="roles.traceca">{{'Country'}}</mat-option>
          </mat-select>
        </mat-form-field>
        <a href="javascript:void(0)" (click)="removeAdditional(additional)">
          <mat-icon aria-hidden="false" aria-label="Example home icon">delete</mat-icon>
        </a>
      </p>
    </div>
    <button mat-mini-fab color="primary" aria-label="Add" (click)="addAdditional()">
      <mat-icon>add</mat-icon>
    </button>

  </div>
  <button mat-raised-button color="primary" aria-label="Save" (click)="submit()">
    Done
  </button>
  <!--        <div class="button">-->
  <!--          <button type="submit" mat-button>Save</button>s-->
  <!--        </div>-->


</div>
